[arch-commits] Commit in alsa-firmware/trunk (PKGBUILD)

Tobias Powalowski tpowa at archlinux.org
Sun Nov 22 12:52:48 EST 2009


    Date: Sunday, November 22, 2009 @ 12:52:47
  Author: tpowa
Revision: 59355

upgpkg: alsa-firmware 1.0.20-2
    removed conflicting firmware files

Modified:
  alsa-firmware/trunk/PKGBUILD

----------+
 PKGBUILD |   20 ++++++++++++++++----
 1 file changed, 16 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-11-22 17:48:45 UTC (rev 59354)
+++ PKGBUILD	2009-11-22 17:52:47 UTC (rev 59355)
@@ -3,7 +3,7 @@
 # Package Maintainer: Tobias Powalowski <tpowa at archlinux.org>
 pkgname=alsa-firmware
 pkgver=1.0.20
-pkgrel=1
+pkgrel=2
 pkgdesc="ALSA firmware package"
 arch=('i686' 'x86_64')
 url="http://alsa-project.org/"
@@ -12,11 +12,23 @@
 md5sums=('75fe079c35c091cac49f3a60876bc26a')
 options=(!strip)
 
-
 build() {
-  cd $startdir/src/$pkgname-$pkgver
+  cd $srcdir/$pkgname-$pkgver
   ./configure --prefix=/usr
   make || return 1
-  make DESTDIR=$startdir/pkg install || return 1
+  make DESTDIR=$pkgdir install || return 1
+  # remove files which conflicts with kernel26-firmware
+  rm -rf ${pkgdir}/lib/firmware/ess/maestro3_assp_kernel.fw || return 1
+  rm -rf ${pkgdir}/lib/firmware/ess/maestro3_assp_minisrc.fw || return 1
+  rm -rf ${pkgdir}/lib/firmware/korg/k1212.dsp || return 1
+  rm -rf ${pkgdir}/lib/firmware/sb16/alaw_main.csp || return 1
+  rm -rf ${pkgdir}/lib/firmware/sb16/ima_adpcm_capture.csp || return 1
+  rm -rf ${pkgdir}/lib/firmware/sb16/ima_adpcm_init.csp || return 1
+  rm -rf ${pkgdir}/lib/firmware/sb16/ima_adpcm_playback.csp || return 1
+  rm -rf ${pkgdir}/lib/firmware/sb16/mulaw_main.csp || return 1
+  rm -rf ${pkgdir}/lib/firmware/yamaha/ds1_ctrl.fw || return 1
+  rm -rf ${pkgdir}/lib/firmware/yamaha/ds1_dsp.fw || return 1
+  rm -rf ${pkgdir}/lib/firmware/yamaha/ds1e_ctrl.fw || return 1
+  rm -rf ${pkgdir}/lib/firmware/yamaha/yss225_registers.bin || return 1
 }
  



More information about the arch-commits mailing list